// DlgServerClosed.cpp : implementation file
//

#include "stdafx.h"
#include "ryllogin.h"
#include "DlgServerClosed.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgServerClosed dialog


CDlgServerClosed::CDlgServerClosed(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgServerClosed::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgServerClosed)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CDlgServerClosed::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgServerClosed)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgServerClosed, CDialog)
	//{{AFX_MSG_MAP(CDlgServerClosed)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgServerClosed message handlers

BOOL CDlgServerClosed::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
#ifdef _NATION_KR_
	((CWnd *)GetDlgItem(IDC_NOTICE))->SetWindowText("서버가 닫혀 있습니다.");
#elif _NATION_US_
	((CWnd *)GetDlgItem(IDC_NOTICE))->SetWindowText("Login Server is currently unavailable. \nPlease visit www.ryl.net for more information.");
#else
	((CWnd *)GetDlgItem(IDC_NOTICE))->SetWindowText("Login Server is Close.");
#endif

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
